corda / net.corda.schemas / CommercialPaperSchemaV1

# CommercialPaperSchemaV1

`object CommercialPaperSchemaV1 : MappedSchema`

First version of a commercial paper contract ORM schema that maps all fields of the CommercialPaper contract state as it stood at the time of writing.

### Types

PersistentCommericalPaperState | `class PersistentCommericalPaperState : PersistentState`

### Inherited Properties

mappedTypes | `val mappedTypes: Iterable<Class<*>>`
name | `val name: String`
version | `val version: Int`

### Inherited Functions

toString | `open fun toString(): String`